# 32/64bit spec-file
#
Name:           owncloud-csync
Version:        0.60.4
Release:        %mkrel 1

Summary:        A user level bidirectional client only file synchronizer
License:        GPLv2+
Group:		Development/Other
URL:            http://owncloud.org/sync-clients/
Source0:        http://download.owncloud.com/download/ocsync-%{version}.tar.xz
BuildRoot:     %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  libsmbclient-devel
BuildRequires:  iniparser-devel >= 3.1
BuildRequires:  libssh2-devel
BuildRequires:  log4c-devel
BuildRequires:  neon-devel
BuildRequires:  libsqlite3-devel
BuildRequires:  openssl-devel

%description
ocsync is an implementation of a file synchronizer which provides the
feature of roaming home directories for Linux clients. ocsync makes use
of libsmbclient in Samba/Windows environments.

%package libs
Summary: A user level bidirectional client only file synchronizer

%description libs
ocsync is an implementation of a file synchronizer which provides the
feature of roaming home directories for Linux clients. ocsync makes use
of libsmbclient in Samba/Windows environments.


%package devel
Group:		Development/Other
Summary:        Development files for ocsync
Requires:       %{name}-libs = %{version}-%{release}

%description devel
The ocsync-devel package contains the static libraries and header
files needed for development with ocsync.


%prep
%setup -q -n ocsync-%{version}

%build
if test ! -e "build"; then
  mkdir build
fi

# cd build
pushd build

%cmake \
  -DLOG_TO_CALLBACK=ON \
  -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed" \
  -DCMAKE_BUILD_TYPE=RelWithDebInfo \
  %{_builddir}/ocsync-%{version}
%make doc
%make

#return to first dir
popd 

%install
rm -rf %{buildroot}
pushd build/build
%makeinstall_std 
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}/
mkdir -p %{buildroot}%{_docdir}/%{name}-devel-%{version}/
mv %{_builddir}/ocsync-%{version}/build/build/doc/html %{buildroot}%{_docdir}/%{name}-devel-%{version}/html
mv %{_builddir}/ocsync-%{version}/doc/userguide %{buildroot}%{_docdir}/%{name}-%{version}/
popd 



%clean
rm -rf %{buildroot}

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%{_bindir}/ocsync
%{_mandir}/man?/ocsync.*

%files libs
%config(noreplace) %{_sysconfdir}/ocsync/ocsync.conf
%config(noreplace) %{_sysconfdir}/ocsync/ocsync_exclude.conf
%config(noreplace) %{_sysconfdir}/ocsync/ocsync_log.conf
%doc AUTHORS COPYING README ChangeLog
%{_docdir}/%{name}-%{version}
%{_docdir}/ocsync/userguide
%dir %{_sysconfdir}/ocsync
%{_libdir}/libocsync.so.*
%dir %{_libdir}/ocsync-0
%{_libdir}/ocsync-0/ocsync_owncloud.so
%{_libdir}/ocsync-0/ocsync_smb.so
#%%{_libdir}/ocsync-0/ocsync_sftp.so


%files devel
%{_includedir}/ocsync
%{_libdir}/libocsync.so
%{_docdir}/%{name}-devel-%{version}/html


%changelog
* Sat Jan 12 2013 Ken <lxgator at gmail.com> 0.60.4-1pclos2013
- 0.60.4

* Sat Dec 15 2012 Ken <lxgator at gmail.com> 0.60.3-1pclos2012
- initial build
